Debian Bug report logs - #319222
ghc6: Depends on non-existing package

version graph

Package: ghc6; Maintainer for ghc6 is Kari Pahula <kaol@debian.org>; Source for ghc6 is src:ghc.

Reported by: marcot@debian.org

Date: Wed, 20 Jul 2005 15:18:28 UTC

Severity: grave

Tags: fixed

Found in version 6.4-4

Fixed in version 6.4.1-1

Done: Ian Lynagh <igloo@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ian Lynagh (wibble) <igloo@debian.org>:
Bug#319222; Package ghc6. Full text and rfc822 format available.

Acknowledgement sent to Marco Tulio Gontijo e Silva <marcot@minaslivre.org>:
New Bug report received and forwarded. Copy sent to Ian Lynagh (wibble) <igloo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco Tulio Gontijo e Silva <marcot@minaslivre.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ghc6: Depends on non-existing package
Date: Wed, 20 Jul 2005 15:15:30 +0000
Package: ghc6
Version: 6.4-4
Severity: grave
Justification: renders package unusable


It depends on package libgmp3 which is not on the sid tree.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-2-k7
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages ghc6 depends on:
ii  gcc-3.3                     1:3.3.6-7    The GNU C compiler
pn  haskell-utils               <none>       (no description available)
ii  libc6                       2.3.2.ds1-22 GNU C Library: Shared libraries an
pn  libgmp3                     <none>       (no description available)
pn  libgmp3-dev                 <none>       (no description available)
ii  libncurses5                 5.4-9        Shared libraries for terminal hand
ii  libreadline5                5.0-10       GNU readline and history libraries
ii  libreadline5-dev            5.0-10       GNU readline and history libraries
ii  perl [perl5]                5.8.7-4      Larry Wall's Practical Extraction 

ghc6 recommends no packages.



Information forwarded to debian-bugs-dist@lists.debian.org, Ian Lynagh (wibble) <igloo@debian.org>:
Bug#319222; Package ghc6. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Ian Lynagh (wibble) <igloo@debian.org>. Full text and rfc822 format available.

Message #10 received at 319222@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: 319222@bugs.debian.org
Cc: Marco Tulio Gontijo e Silva <marcot@minaslivre.org>
Subject: Re: ghc6: Depends on non-existing package
Date: Mon, 25 Jul 2005 20:36:07 +0200
Marco Tulio Gontijo e Silva <marcot@minaslivre.org> wrote:
> It depends on package libgmp3 which is not on the sid tree.

That's because it was renamed to libgmp3c2 because of the C++ ABI
transition.

ghc6 probably just requires a rebuild, but I'm not sure wether
the rest of the pacakges it depends on are ready.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, Ian Lynagh (wibble) <igloo@debian.org>:
Bug#319222; Package ghc6. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Ian Lynagh (wibble) <igloo@debian.org>. Full text and rfc822 format available.

Message #15 received at 319222@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>, 319222@bugs.debian.org
Cc: Marco Tulio Gontijo e Silva <marcot@minaslivre.org>
Subject: Re: Bug#319222: ghc6: Depends on non-existing package
Date: Mon, 25 Jul 2005 16:21:11 -0700
[Message part 1 (text/plain, inline)]
On Mon, Jul 25, 2005 at 08:36:07PM +0200, Kurt Roeckx wrote:
> Marco Tulio Gontijo e Silva <marcot@minaslivre.org> wrote:
> > It depends on package libgmp3 which is not on the sid tree.

> That's because it was renamed to libgmp3c2 because of the C++ ABI
> transition.

> ghc6 probably just requires a rebuild, but I'm not sure wether
> the rest of the pacakges it depends on are ready.

Yes, libgmp is the only C++ lib that ghc6 depends on.  I had already talked
to the maintainer about doing a rebuild NMU for this (he isn't planning to
work on these packages until the new upstream version comes out), but if
someone beats me to it, that's fine too.

-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Lynagh (wibble) <igloo@debian.org>:
Bug#319222; Package ghc6. Full text and rfc822 format available.

Acknowledgement sent to Chuan-kai Lin <cklin@debian.org>:
Extra info received and forwarded to list. Copy sent to Ian Lynagh (wibble) <igloo@debian.org>. Full text and rfc822 format available.

Message #20 received at 319222@bugs.debian.org (full text, mbox):

From: Chuan-kai Lin <cklin@debian.org>
To: Steve Langasek <vorlon@debian.org>
Cc: Kurt Roeckx <kurt@roeckx.be>, 319222@bugs.debian.org, Marco Tulio Gontijo e Silva <marcot@minaslivre.org>
Subject: Re: Bug#319222: ghc6: Depends on non-existing package
Date: Wed, 3 Aug 2005 14:16:03 -0700
On Mon, Jul 25, 2005 at 04:21:11PM -0700, Steve Langasek wrote:
> Yes, libgmp is the only C++ lib that ghc6 depends on.  I had already
> talked to the maintainer about doing a rebuild NMU for this (he isn't
> planning to work on these packages until the new upstream version
> comes out), but if someone beats me to it, that's fine too.

I just tried: ghc-6.4 fails to build on gcc-4.0.  The Fedora people had
also come to the same conclusion:

http://haskell.org/fedora/haskell/4/x86_64/repodata/repoview/ghc-0-6.4.1.20050626-0.html

So there we are.  I would like to keep ghc-6.4 (the new features like
GADT are really amazing), but making the source to build would likely be
a major undertaking.

-- 
Chuan-kai Lin
http://www.cs.pdx.edu/~cklin/



Information forwarded to debian-bugs-dist@lists.debian.org, Ian Lynagh (wibble) <igloo@debian.org>:
Bug#319222; Package ghc6. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Ian Lynagh (wibble) <igloo@debian.org>. Full text and rfc822 format available.

Message #25 received at 319222@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Chuan-kai Lin <cklin@debian.org>
Cc: Steve Langasek <vorlon@debian.org>, 319222@bugs.debian.org, Marco Tulio Gontijo e Silva <marcot@minaslivre.org>
Subject: Re: Bug#319222: ghc6: Depends on non-existing package
Date: Wed, 3 Aug 2005 23:32:37 +0200
On Wed, Aug 03, 2005 at 02:16:03PM -0700, Chuan-kai Lin wrote:
> On Mon, Jul 25, 2005 at 04:21:11PM -0700, Steve Langasek wrote:
> > Yes, libgmp is the only C++ lib that ghc6 depends on.  I had already
> > talked to the maintainer about doing a rebuild NMU for this (he isn't
> > planning to work on these packages until the new upstream version
> > comes out), but if someone beats me to it, that's fine too.
> 
> I just tried: ghc-6.4 fails to build on gcc-4.0.  The Fedora people had
> also come to the same conclusion:
> 
> http://haskell.org/fedora/haskell/4/x86_64/repodata/repoview/ghc-0-6.4.1.20050626-0.html
> 
> So there we are.  I would like to keep ghc-6.4 (the new features like
> GADT are really amazing), but making the source to build would likely be
> a major undertaking.

I don't know if ghc uses any C++ code, but it I doesn't look like
it does.  It's probably just linked to libraries that are in the
C++ ABI transition.  libgmp3 was in the C++ abi transition but is
now a plain C library package.

You should probably be able to build it using gcc 3.3 (or 3.4)
instead for now.  That means you'll have to build depend on the
right version of the compiler, and tell configure to use it.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, Ian Lynagh (wibble) <igloo@debian.org>:
Bug#319222; Package ghc6. Full text and rfc822 format available.

Acknowledgement sent to Arjan Oosting <arjanoosting@home.nl>:
Extra info received and forwarded to list. Copy sent to Ian Lynagh (wibble) <igloo@debian.org>. Full text and rfc822 format available.

Message #30 received at 319222@bugs.debian.org (full text, mbox):

From: Arjan Oosting <arjanoosting@home.nl>
To: 319222@bugs.debian.org, Chuan-kai Lin <cklin@debian.org>
Subject: Re: Bug#319222: ghc6: Depends on non-existing package
Date: Wed, 03 Aug 2005 23:33:42 +0200
[Message part 1 (text/plain, inline)]
Op wo, 03-08-2005 te 14:16 -0700, schreef Chuan-kai Lin:
> I just tried: ghc-6.4 fails to build on gcc-4.0.  The Fedora people had
> also come to the same conclusion:
> 
> http://haskell.org/fedora/haskell/4/x86_64/repodata/repoview/ghc-0-6.4.1.20050626-0.html
> 
> So there we are.  I would like to keep ghc-6.4 (the new features like
> GADT are really amazing), but making the source to build would likely be
> a major undertaking.
I have heard that the upcoming ghc 6.4.1 will be able to compile on
gcc-4.0 [1], and which should be released in one or two weeks [2].

Greetings Arjan

[1] http://www.haskell.org//pipermail/glasgow-haskell-users/2005-August/008849.html
[2] http://www.haskell.org//pipermail/glasgow-haskell-users/2005-August/008840.html
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Lynagh (wibble) <igloo@debian.org>:
Bug#319222; Package ghc6. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Ian Lynagh (wibble) <igloo@debian.org>. Full text and rfc822 format available.

Message #35 received at 319222@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: 319222@bugs.debian.org
Subject: Re: ghc6: Depends on non-existing package
Date: Tue, 30 Aug 2005 01:04:22 +0200
Hi,

I would like to get a new version of ghc6 into unstable soon.
I think it's best to build the current version with gcc 3.3.
Upstream seem to be taking a while to get the new release out
that should work with gcc 4.0, and I'm not really sure how stable
that is going to be on all arches we have.  Looking at the
changelog, it seems that it already had it share of problems with
compiler versions.

To get it build with a different version of gcc, all you need to
do is add a --with-gcc=gcc-3.3 to configure.  Setting CC=gcc-3.3
when calling configure will not work.

There are going to be some problems getting this build in any
case.  ghc6 build-depends on itself, which currently means it
depends on libgmp3, and that of course conflicts with
libgmp3c2/libgmp3-dev.  This means someone will have to build all
those things manually on all arches.

How to get around this and get a working version:
- Install libstdc++5
- Install old version of libgmp3 and libgmp3-dev (version
  4.1.4-6)
- Installing the build dependencies should work now.

We now should have all build dependencies installed, except that
libgmp3(-dev) is the wrong version.  The rest will need manual
work:

dpkg --force-depends --remove libgmp3
dpkg --force-depends -i libgmp3-dev_4.1.4-10_$arch.deb libgmp3c2_4.1.4-10_$arch.deb libgmpxx3_4.1.4-10_$arch.deb

(You should be able to get rid of libstdc++5 at this point too.)

After this you should be able to build it without problems.  I
got a version build like this, which seems to work for me.


I'll can do an NMU of this if you want.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, Ian Lynagh (wibble) <igloo@debian.org>:
Bug#319222; Package ghc6. Full text and rfc822 format available.

Acknowledgement sent to Ian Lynagh <igloo@earth.li>:
Extra info received and forwarded to list. Copy sent to Ian Lynagh (wibble) <igloo@debian.org>. Full text and rfc822 format available.

Message #40 received at 319222@bugs.debian.org (full text, mbox):

From: Ian Lynagh <igloo@earth.li>
To: Kurt Roeckx <kurt@roeckx.be>, 319222@bugs.debian.org
Subject: Re: Bug#319222: ghc6: Depends on non-existing package
Date: Wed, 31 Aug 2005 04:29:03 +0100
Hi Kurt,

On Tue, Aug 30, 2005 at 01:04:22AM +0200, Kurt Roeckx wrote:
> 
> I would like to get a new version of ghc6 into unstable soon.
> I think it's best to build the current version with gcc 3.3.
> Upstream seem to be taking a while to get the new release out

Yeah; the release seemed imminent on the 11th, but this was shortly
followed by Mrs Upstream, with complete disregard for the release
schedule, giving birth.

I'm afraid I don't have a good estimated release date now, but I think
he'll be back at work soon.

Unfortunately at each stage I've been under the impression the release
will probably have happened before m68k has built everything, making
spending time on uploading a new 6.4 et al an unattractive proposition.

Believe me, I'm as frustrated by this as you. But at the same time, I
don't think Debian is in a position to throw stones regarding such
matters  :-)

> that should work with gcc 4.0, and I'm not really sure how stable
> that is going to be on all arches we have.  Looking at the
> changelog, it seems that it already had it share of problems with
> compiler versions.

*nod*; I've done prerelease builds on a couple of arches, so I'm hoping
that won't be a problem this time round.

> There are going to be some problems getting this build in any
> case.  ghc6 build-depends on itself, which currently means it
> depends on libgmp3, and that of course conflicts with
> libgmp3c2/libgmp3-dev.  This means someone will have to build all
> those things manually on all arches.
> 
> How to get around this and get a working version:
[...]

An alternative is to install everything but the Haskellish packages,
unpack the debs of the things you are missing and:

sed -i "s#/usr/#`pwd`/usr/#g" usr/bin/*
for p in usr/lib/ghc-*/package.conf.shipped
do sed -e "s#/usr/\(lib\|share\)/ghc#`pwd`&#g" \
                       < "$p" > `echo "$p" | sed "s/\.shipped$//"`
done
for f in usr/bin/*6
do
    ln -s `echo "$f" | sed "s#.*/##"` `echo "$f" | sed "s/6$//"`
done

and set PATH accordingly. This has the advantage (for me, at least) of
not needing twiddling as root.

> I'll can do an NMU of this if you want.

Please feel free.


Thanks
Ian




Information forwarded to debian-bugs-dist@lists.debian.org, Ian Lynagh (wibble) <igloo@debian.org>:
Bug#319222; Package ghc6. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Ian Lynagh (wibble) <igloo@debian.org>. Full text and rfc822 format available.

Message #45 received at 319222@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Ian Lynagh <igloo@earth.li>, 319222@bugs.debian.org
Cc: Kurt Roeckx <kurt@roeckx.be>
Subject: Re: Bug#319222: ghc6: Depends on non-existing package
Date: Tue, 30 Aug 2005 23:15:10 -0700
[Message part 1 (text/plain, inline)]
On Wed, Aug 31, 2005 at 04:29:03AM +0100, Ian Lynagh wrote:
> On Tue, Aug 30, 2005 at 01:04:22AM +0200, Kurt Roeckx wrote:

> > I would like to get a new version of ghc6 into unstable soon.
> > I think it's best to build the current version with gcc 3.3.
> > Upstream seem to be taking a while to get the new release out

> Yeah; the release seemed imminent on the 11th, but this was shortly
> followed by Mrs Upstream, with complete disregard for the release
> schedule, giving birth.

> I'm afraid I don't have a good estimated release date now, but I think
> he'll be back at work soon.

> Unfortunately at each stage I've been under the impression the release
> will probably have happened before m68k has built everything, making
> spending time on uploading a new 6.4 et al an unattractive proposition.

The work of manually bootstrapping ghc6 around libgmp is something that
shouldn't be delayed any longer.  It happens that thanks to the glibc
maintainers choosing to push ppc64 support into the archive before glibc
2.3.5 is in testing, glibc, gcc-4.0, and gmp all have to go into testing
together.  If ghc6 and ghc5 aren't rebuilt against libgmp3c2 soon, then
pretty much all haskell packages will need to be pulled out of testing
in order to get things unstuck for etch.  (That may happen regardless,
in which case it's just a question of how long before ghc is eligible to
get back in.)

So Kurt, I think it would be a good idea if you did go ahead with an NMU
here.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Lynagh (wibble) <igloo@debian.org>:
Bug#319222; Package ghc6. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Ian Lynagh (wibble) <igloo@debian.org>. Full text and rfc822 format available.

Message #50 received at 319222@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: 319222@bugs.debian.org
Subject: Re: ghc6: Depends on non-existing package
Date: Wed, 31 Aug 2005 22:34:28 +0200
[Message part 1 (text/plain, inline)]
Hi,

Here is the diff of the NMU I did.


Kurt

[ghc6_6.4-4.1-nmu.diff (text/plain, attachment)]

Tags added: fixed Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Ian Lynagh <igloo@earth.li>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marco Tulio Gontijo e Silva <marcot@minaslivre.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #57 received at 319222-done@bugs.debian.org (full text, mbox):

From: Ian Lynagh <igloo@earth.li>
To: 319222-done@bugs.debian.org
Subject: Rebuild for C++ transition complete
Date: Thu, 5 Jan 2006 14:01:47 +0000
Version: 6.4.1-1

Rebuild for the C++ transition is complete.


Thanks
Ian




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 20:56:23 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Marco Túlio Gontijo e Silva <marcot@debian.org> to control@bugs.debian.org. (Mon, 01 Feb 2010 19:22:16 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Marco Túlio Gontijo e Silva <marcot@debian.org>' from 'Marco Tulio Gontijo e Silva <marcot@minaslivre.org>' Request was from Marco Túlio Gontijo e Silva <marcot@debian.org> to control@bugs.debian.org. (Mon, 01 Feb 2010 19:22:17 GMT) Full text and rfc822 format available.

Bug archived. Request was from Marco Túlio Gontijo e Silva <marcot@debian.org> to control@bugs.debian.org. (Mon, 01 Feb 2010 19:22:20 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from marcot@debian.org to control@bugs.debian.org. (Mon, 01 Feb 2010 19:55:29 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'marcot@debian.org' from 'Marco Túlio Gontijo e Silva <marcot@debian.org>' Request was from marcot@debian.org to control@bugs.debian.org. (Mon, 01 Feb 2010 19:55:29 GMT) Full text and rfc822 format available.

Bug archived. Request was from marcot@debian.org to control@bugs.debian.org. (Mon, 01 Feb 2010 19:55:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 05:09:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.